Bug 647060 - Incorrect labelling in dialog
Summary: Incorrect labelling in dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-applet-netspeed
Version: 12
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-26 23:46 UTC by Damien Schoof
Modified: 2011-02-20 06:49 UTC (History)
2 users (show)

Fixed In Version: gnome-applet-netspeed-0.16-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 12:06:48 UTC
Type: ---


Attachments (Terms of Use)

Description Damien Schoof 2010-10-26 23:46:03 UTC
Description of problem:
When right-clicking on the menu bar and choosing "Device Details", a dialog box is presented which shows the total traffic on the device this session.  However, when (in the preferences box) the checkbox "Show bits instead of bytes" is selected, these labels in the device still say "Bytes in" and "Bytes out" instead of "Bits in" and "Bits out", even though the numbers given are presented in bits / Mega bits.

Version-Release number of selected component (if applicable):
v1.1

How reproducible:
Always

Steps to Reproduce:
1. Right click on the netspeed applet and select "Preferences"
2. Check the box "Show bits instead of bytes"
3. Right click on the netspeed applet and select "Device details"
  
Actual results:
Observe that the dialog box still says "Bytes in" and "Bytes out"

Expected results:
Dialog box should say "Bits in" and "Bits out"

Additional info:

Comment 1 Michael Schwendt 2010-10-27 07:35:19 UTC
Confirmed.

It would be trivial to patch, but I'm not taking immediate action because something about it is controversial. I've added a comment to a related upstream ticket: https://bugzilla.gnome.org/show_bug.cgi?id=574462#c3

Comment 2 Bug Zapper 2010-11-03 09:17:25 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 12:06:48 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Update System 2011-02-04 22:51:34 UTC
gnome-applet-netspeed-0.16-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnome-applet-netspeed-0.16-5.fc14

Comment 5 Fedora Update System 2011-02-20 06:49:20 UTC
gnome-applet-netspeed-0.16-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.